summaryrefslogtreecommitdiffstats
path: root/libraries/flashplugin-lahf-fix/flashplugin-lahf-fix.SlackBuild
diff options
context:
space:
mode:
author Ken Roberts <alisonken1@juno.com>2010-06-20 18:40:33 -0400
committer Robby Workman <rworkman@slackbuilds.org>2010-06-22 06:01:24 -0500
commitbe2b11e1dbbffea86ab3aa5c367ae05f7c6038ea (patch)
tree911bc49fd9d27dec39956173be4ce8a77c0e3915 /libraries/flashplugin-lahf-fix/flashplugin-lahf-fix.SlackBuild
parentb1473e3c28732d75acdf9c9fe998a2f5c2cf799d (diff)
downloadslackbuilds-be2b11e1dbbffea86ab3aa5c367ae05f7c6038ea.tar.gz
slackbuilds-be2b11e1dbbffea86ab3aa5c367ae05f7c6038ea.tar.xz
libraries/flashplugin-lahf-fix: Added (emulates LAHF instruction)
Early x86_64 cpu's did not have the lahf instruction. Unfortunately, Adobe wrote their flash using this instruction. Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries/flashplugin-lahf-fix/flashplugin-lahf-fix.SlackBuild')
-rw-r--r--libraries/flashplugin-lahf-fix/flashplugin-lahf-fix.SlackBuild52
1 files changed, 52 insertions, 0 deletions
diff --git a/libraries/flashplugin-lahf-fix/flashplugin-lahf-fix.SlackBuild b/libraries/flashplugin-lahf-fix/flashplugin-lahf-fix.SlackBuild
new file mode 100644
index 0000000000..f6af2f4853
--- /dev/null
+++ b/libraries/flashplugin-lahf-fix/flashplugin-lahf-fix.SlackBuild
@@ -0,0 +1,52 @@
+#!/bin/sh -x
+
+# Slackware build script for LAHF fix for flash plugin
+# Writen by Ken Roberts using code scrounged from the net
+
+PRGNAM=flashplugin-lahf-fix
+VERSION=0.1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "${ARCH}" ]; then
+ ARCH="$(uname -m)"
+fi
+if [ "${ARCH}" != "x86_64" ] ; then
+ echo "This only works for x86_64 cpu's"
+ exit 1
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=${TMP}/package-${PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/lib64/mozilla/plugins
+
+cc -fPIC -shared -nostdlib -lc \
+ -o$PKG//usr/lib64/mozilla/plugins/flashplugin-lahf-fix.so \
+ flashplugin-lahf-fix.c
+chmod 755 $PKG/usr/lib64/mozilla/plugins/flashplugin-lahf-fix.so
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-txz}